#ifndef WORDARTWIDGET_H
#define WORDARTWIDGET_H

#include <QWidget>

class WordArtWidget : public QWidget
{
    Q_OBJECT
public:
    explicit WordArtWidget(QWidget* parent = nullptr);

    void setText(const QString& text);

    /**
    * @brief 设置艺术字外边颜色
    **/
    void setOutColor(const QString& outColor);
    /**
    * @brief 设置艺术字中间颜色
    * 艺术字中间颜色，默认是透明状态
    **/
    void setInColor(const QString& inColor);
    void setFontSize(int size);

protected:
    void paintEvent(QPaintEvent* event);

private:
    QString m_sText;
    QString m_sOutColor;
    QString m_sInColor;
    int m_iFontSize;
};

#endif // WORDARTWIDGET_H
